# Features in Fedora/Free Electronic Lab

# Known Bugs fixed:
# S#2759043 Segfault in TableModel::handleAspectRemoved() - can't reproduce

%global genname labplot

Name:		LabPlot
Version:	2.3.0
Release:	6%{?dist}
Summary:	Data Analysis and Visualization

License:	GPLv2+
Group:		Applications/Engineering
URL:		http://labplot.sourceforge.net/

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:	http://download.kde.org/stable/labplot/%{version}/%{genname}-%{version}-kf5.tar.xz

BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	qt5-qtsvg-devel
BuildRequires:	qt5-qtconfiguration-devel 
BuildRequires:	desktop-file-utils 
BuildRequires:	gsl-devel
BuildRequires:	gettext-devel
BuildRequires:	extra-cmake-modules
BuildRequires:	cantor-devel
BuildRequires:	fftw-devel
BuildRequires:	hdf5-devel
BuildRequires:	netcdf-devel

ExcludeArch:	sparc64 s390 s390x

Requires:	electronics-menu

%description
LabPlot is for scientific 2D and 3D data and function plotting.
The various display and analysis functions are explained in the
handbook (KDE help center). LabPlot also provides a component
for easily viewing the project files in Konqueror.


%prep
%setup -q -n %{genname}-%{version}-kf5

# fix desktop file
sed -i 's/-caption %c %i %f/-qwindowtitle %c %i %f/' src/labplot2.desktop

# fixes for building with GCC-6
# Thanks Yaakov Selkowitz
sed -i 's/abs(point.x/qAbs(point.x/' src/backend/worksheet/TextLabel.cpp
sed -i 's/cmath/math.h/' src/backend/worksheet/plots/cartesian/CartesianCoordinateSystem.cpp

%build
mkdir -p build 
pushd build
%{cmake_kde4} ..
make V=1 %{?_smp_mflags}
popd

%install
pushd build
%make_install
popd

%find_lang %{genname}2

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:


%files -f %{genname}2.lang
%license COPYING
%doc COPYING README ChangeLog AUTHORS INSTALL
%{_datadir}/icons/hicolor/*/apps/%{genname}2.png
%{_bindir}/%{genname}2
%{_datadir}/kxmlgui5/%{genname}2/labplot2ui.rc
%{_datadir}/applications/%{genname}2.desktop
%{_datadir}/mime/packages/%{genname}2.xml
%{_datadir}/icons/hicolor/scalable/apps/%{genname}*
%{_datadir}/kde4/apps/%{genname}2/*
%{_docdir}/HTML/en/%{genname}2/*
%{_docdir}/HTML/es/%{genname}2/*
%{_docdir}/HTML/uk/%{genname}2/*
%{_docdir}/HTML/nl/%{genname}2/*
%{_docdir}/HTML/sv/%{genname}2/*
%{_docdir}/HTML/pt{,_BR}/%{genname}2/*
%{_datadir}/appdata/*%{genname}.appdata.xml

%changelog
* Tue Nov 01 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.0-6
- Simplify files section

* Tue Nov 01 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.0-5
- Add new BR
- Fix desktop file properly

* Mon Oct 17 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.0-4
- Fix desktop file

* Wed Oct 12 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.0-3
- Fix files section

* Wed Oct 12 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.0-2
- Spec file cleanup - use license macro, edit doc list

* Wed Oct 12 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0

* Sat Jul 09 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0
- Drop already upstream gsl2 patch

* Sun Mar 13 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.1.0-9
- Apply the fix - correctly without typos

* Fri Mar 11 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.1.0-8
- Apply the complete fix (#1314798)

* Fri Mar 11 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.1.0-7
- Fix desktop file
- Fixes bug#1314798

* Mon Feb 22 2016 Orion Poplawski <orion@cora.nwra.com> - 2.1.0-6
- Rebuild for gsl 2.1

* Tue Feb 16 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.1.0-5
- Added fixes for GCC-6 FTBFS - Thanks Yaakov Selkowitz

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Orion Poplawski <orion@cora.nwra.com> - 2.1.0-3
- Add upstream patch to support GSL 2.X

* Thu Oct 29 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.1.0-2
- use kf5 tarball
- added kf5 dependencies

* Wed Oct 28 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Tue Oct 20 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2
- Cleanup and modernize spec file

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 17 2015 Orion Poplawski <orion@cora.nwra.com> - 1.6.0.3-10
- Rebuild for hdf5 1.8.15

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.6.0.3-9
- Rebuilt for GCC 5 C++11 ABI change

* Thu Jan 08 2015 Orion Poplawski <orion@cora.nwra.com> - 1.6.0.3-8
- Rebuild for hdf5 1.8.14

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.6.0.3-3
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Mon Nov 19 2012 Thibault North <tnorth@fedoraproject.org> - 1.6.0.3-1
- Update to 1.6.0.3

* Sun Dec 4 2011 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.6.0.2-9
- Fixes Bug RH#715933 - FTBFS LabPlot-1.6.0.2-8.fc12

* Wed Oct 28 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.6.0.2-8
- fix FTBFS with current GSL (GSL_CONST_CGSM_GAUSS undefined, patch from Debian)

* Sat Oct 24 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.6.0.2-7
- drop ExcludeArch ppc64, OCaml is available for ppc64 these days

* Tue Sep 22 2009 Dennis Gilmore <dennis@ausil.us> - 1.6.0.2-6
- ExcludeArch s390 s390x and sparc64 no ocaml

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 16 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.6.0.2-3
- handle libLabPlotnetCDF.so* on F-8 and F-9

* Wed Sep 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.0.2-2
- handle libLabPlotnetCDF.so*

* Wed Sep 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.0.2-1
- update to 1.6.0.2
- drop useless gcc43 patch, init-smg-before-open-files patch

* Tue Jun 10 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.6.0.1-1
- New upstream release 1.6.0.1
- Now compatible with liborigin 20080225
- Bugfix: #449653: FTBFS LabPlot-1.5.1.6-6.fc9
- Bugfix: #434019: LabPlot failed massrebuild attempt for GCC 4.3
- Added qhull-devel as BR

* Tue Jun 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.5.1.6-7
- fix build against latest liborigin on F10 (backported from 1.6.0)

* Sat Apr 12 2008 Thibault North <tnorth [AT] fedoraproject DOT org> - 1.5.1.6-6
- Fixes for GCC 4.3
- Updated dependencies
- Now requires electronics-menu

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.6-4
- complying to freedesktop policies - categories
- queued for mass rebuild for Fedora 8 - BuildID
- dropped duplicates - examples/

* Mon Aug 06 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.6-3
- Excluding PPC64 since it misses ocaml

* Mon Aug 06 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.6-2
- Update License tag for new Licensing Guidelines compliance

* Mon Jul 30 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.6-1
- New upstream release

* Mon Apr 23 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-7
- removed parallel build for ppc

* Mon Apr 23 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-6
- added texvc back in %%files
- removed useless .so

* Thu Apr 12 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-5
- split for doc-fr
- duplicate kmenu entries - removed category Science
- corrected missing index.html file from Help -> LabPlot Handbook
- merge -devel package with the main package

* Thu Apr 12 2007 Mamoru Tasaka <mtasaka [AT] ioa.s.u-tokyo.ac.jp> - 1.5.1.5-4.2
- Use system liborigin library
- Shut up undefined non-weak symbols
- Fix end-of-line encodings of [Mm]ap file
- Change the encoding of a part of documents

* Tue Feb 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-4
- Added mediawiki and koffice-devel as BR
- using liborigin system wide
- Dropped mediawiki as BR
- Fixed presence on gnome menu

* Sat Jan 13 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-3
- manual dependencies removed
- dropped additional arguments for x86_64 sparc64 ppc64 amd64

* Wed Jan 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-2
- Added audiofile-devel, qwtplot3d-devel, ocaml and netcdf-devel as BR
- using qwtplot3d and netcdf system wide #221022
- Fixed qt-qsa headers

* Sun Dec 31 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.5-1
- New stable release 1.5.1.5
- Fixed symlink-should-be-relative rpmlint issues
- Removed numerous entries on kmenu
- Added examples in a new -doc package
- Building pdf handbook for different languages
- Breaking down -doc package for different languages

* Sun Nov 19 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.5.1.4-1
- Initial package
